#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip> 
using namespace std;


int main()
{
    int n;
    cin >> n;
    vector< pair <double, double> > par(n);
    vector<double> frilenseri(n);
    vector<double> procenti(n);
    double zbir = 0;
    vector<double> prihodi(n);
    for (int i = 0; i < n; i++)
    {
        cin >> frilenseri[i] >> procenti[i];
        zbir += frilenseri[i];
        par[i].first = procenti[i];
        par[i].second = frilenseri[i];
    }
    sort(par.begin(), par.end());
    double trenutniZbir = zbir;
    for (int i = 0; i < n; i++)
    {    
        
        prihodi[i] = (trenutniZbir / 100 * par[i].first);
        trenutniZbir-=par[i].second;
    }
    sort(prihodi.begin(), prihodi.end());

    cout << fixed << setprecision(8) << prihodi[n-1] << endl;
    
    return 0;
}